"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ViewDetailButton = exports.AnalyticCardValueUnit = exports.AnalyticCardTrendLabel = exports.AnalyticCardPositiveTrendValue = exports.AnalyticCardNegativeTrendValue = exports.AnalyticCardTrendValue = exports.AnalyticCardTrend = exports.AnalyticCardTrendContainer = exports.AnalyticCardValue = exports.AnalyticCardTitle = exports.AnalyticCard = exports.AnalyticCardContainer = void 0;

var _react = _interopRequireDefault(require("react"));

var _Icons = require("../Icons");

require("./style.css");

var _ramda = require("ramda");

var _classnames = _interopRequireDefault(require("classnames"));

var _Button = require("../Button");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var AnalyticCardContainer = function AnalyticCardContainer(_ref) {
  var children = _ref.children,
      className = _ref.className,
      restProps = _objectWithoutProperties(_ref, ["children", "className"]);

  return _react.default.createElement("div", _extends({
    className: "vs-analytic-card-container ".concat(className)
  }, restProps), children);
};

exports.AnalyticCardContainer = AnalyticCardContainer;

var AnalyticCard = function AnalyticCard(_ref2) {
  var _classNames;

  var children = _ref2.children,
      className = _ref2.className,
      onClick = _ref2.onClick,
      restProps = _objectWithoutProperties(_ref2, ["children", "className", "onClick"]);

  var isClickable = !(0, _ramda.isNil)(onClick);
  return _react.default.createElement("div", _extends({
    className: (0, _classnames.default)((_classNames = {
      'vs-analytic-card': true
    }, _defineProperty(_classNames, className, true), _defineProperty(_classNames, 'vs-analytic-card-clickable', isClickable), _classNames)),
    onClick: onClick
  }, restProps), children);
};

exports.AnalyticCard = AnalyticCard;

var AnalyticCardTitle = function AnalyticCardTitle(_ref3) {
  var children = _ref3.children,
      className = _ref3.className,
      restProps = _objectWithoutProperties(_ref3, ["children", "className"]);

  return _react.default.createElement("div", _extends({}, restProps, {
    className: "vs-analytic-card-title ".concat(className)
  }), children);
};

exports.AnalyticCardTitle = AnalyticCardTitle;

var AnalyticCardValue = function AnalyticCardValue(_ref4) {
  var children = _ref4.children,
      className = _ref4.className,
      restProps = _objectWithoutProperties(_ref4, ["children", "className"]);

  return _react.default.createElement("div", _extends({}, restProps, {
    className: "vs-analytic-card-value ".concat(className)
  }), children);
};

exports.AnalyticCardValue = AnalyticCardValue;

var AnalyticCardTrendContainer = function AnalyticCardTrendContainer(_ref5) {
  var children = _ref5.children,
      className = _ref5.className,
      restProps = _objectWithoutProperties(_ref5, ["children", "className"]);

  return _react.default.createElement("div", _extends({}, restProps, {
    className: "vs-analytic-card-trend-container ".concat(className)
  }), children);
};

exports.AnalyticCardTrendContainer = AnalyticCardTrendContainer;

var AnalyticCardTrend = function AnalyticCardTrend(_ref6) {
  var children = _ref6.children,
      className = _ref6.className,
      restProps = _objectWithoutProperties(_ref6, ["children", "className"]);

  return _react.default.createElement("div", _extends({}, restProps, {
    className: "vs-analytic-card-trend ".concat(className)
  }), children);
};

exports.AnalyticCardTrend = AnalyticCardTrend;

var AnalyticCardTrendValue = function AnalyticCardTrendValue(_ref7) {
  var children = _ref7.children,
      className = _ref7.className,
      restProps = _objectWithoutProperties(_ref7, ["children", "className"]);

  return _react.default.createElement("div", _extends({}, restProps, {
    className: "vs-analytic-card-trend-value ".concat(className)
  }), children);
};

exports.AnalyticCardTrendValue = AnalyticCardTrendValue;

var AnalyticCardNegativeTrendValue = function AnalyticCardNegativeTrendValue(_ref8) {
  var children = _ref8.children,
      className = _ref8.className,
      restProps = _objectWithoutProperties(_ref8, ["children", "className"]);

  return _react.default.createElement("div", _extends({}, restProps, {
    className: "vs-analytic-card-trend-value vs-analytic-card-trend-negative ".concat(className)
  }), _react.default.createElement(_Icons.TrendDown, null), children);
};

exports.AnalyticCardNegativeTrendValue = AnalyticCardNegativeTrendValue;

var AnalyticCardPositiveTrendValue = function AnalyticCardPositiveTrendValue(_ref9) {
  var children = _ref9.children,
      className = _ref9.className,
      restProps = _objectWithoutProperties(_ref9, ["children", "className"]);

  return _react.default.createElement("div", _extends({}, restProps, {
    className: "vs-analytic-card-trend-value vs-analytic-card-trend-positive ".concat(className)
  }), _react.default.createElement(_Icons.TrendUp, null), children);
};

exports.AnalyticCardPositiveTrendValue = AnalyticCardPositiveTrendValue;

var AnalyticCardTrendLabel = function AnalyticCardTrendLabel(_ref10) {
  var children = _ref10.children,
      className = _ref10.className,
      restProps = _objectWithoutProperties(_ref10, ["children", "className"]);

  return _react.default.createElement("div", _extends({}, restProps, {
    className: "vs-analytic-card-trend-label ".concat(className)
  }), children);
};

exports.AnalyticCardTrendLabel = AnalyticCardTrendLabel;

var AnalyticCardValueUnit = function AnalyticCardValueUnit(_ref11) {
  var children = _ref11.children,
      className = _ref11.className,
      restProps = _objectWithoutProperties(_ref11, ["children", "className"]);

  return _react.default.createElement("span", _extends({}, restProps, {
    className: "vs-analytic-card-value-unit ".concat(className)
  }), children);
};

exports.AnalyticCardValueUnit = AnalyticCardValueUnit;

var ViewDetailButton = function ViewDetailButton(_ref12) {
  var _ref12$label = _ref12.label,
      label = _ref12$label === void 0 ? 'View Details' : _ref12$label,
      onClick = _ref12.onClick,
      restProps = _objectWithoutProperties(_ref12, ["label", "onClick"]);

  return _react.default.createElement(_Button.Button, _extends({}, restProps, {
    type: "outline-secondary",
    className: "vs-analytic-card-view-detail-button",
    onClick: onClick
  }), label);
};

exports.ViewDetailButton = ViewDetailButton;