"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = _interopRequireWildcard(require("enzyme"));

var _ = require("..");

var _enzymeAdapterReact = _interopRequireDefault(require("enzyme-adapter-react-16"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_enzyme.default.configure({
  adapter: new _enzymeAdapterReact.default()
});

describe('Badge', function () {
  it('should render with default variant', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_.Badge, null, "CONTENT CERTIFIED"));
    expect(wrapper.find('.vs-badge')).toHaveLength(1);
    expect(wrapper.find('.vs-badge.vs-badge-variant-1')).toHaveLength(1);
    expect(wrapper.find('.vs-badge.vs-badge-variant-1').children(0).text()).toEqual('CONTENT CERTIFIED');
  });
  it('should render with specified variant', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_.Badge, {
      variant: "2"
    }, "TEST"));
    expect(wrapper.find('.vs-badge')).toHaveLength(1);
    expect(wrapper.find('.vs-badge.vs-badge-variant-2')).toHaveLength(1);
    expect(wrapper.find('.vs-badge.vs-badge-variant-2').children(0).text()).toEqual('TEST');
  });
});