"use strict";

var _react = _interopRequireDefault(require("react"));

var _index = require("../index");

var _enzyme = _interopRequireWildcard(require("enzyme"));

var _enzymeAdapterReact = _interopRequireDefault(require("enzyme-adapter-react-16"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_enzyme.default.configure({
  adapter: new _enzymeAdapterReact.default()
});

describe('Box', function () {
  it('should render children', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, null, "Lorem ipsum"));
    expect(wrapper.find('.vs-box').text()).toEqual('Lorem ipsum');
  });
  it('should render children with direction down', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      direction: "down"
    }, _react.default.createElement("span", null, "Lorem ipsum"), _react.default.createElement("button", null, "OK")));
    expect(wrapper.find('.vs-box.vs-box-direction-down span').text()).toEqual('Lorem ipsum');
    expect(wrapper.find('.vs-box.vs-box-direction-down button').text()).toEqual('OK');
  });
  it('should render children with direction right', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      direction: "right"
    }, _react.default.createElement("span", null, "Lorem ipsum"), _react.default.createElement("button", null, "OK")));
    expect(wrapper.find('.vs-box.vs-box-direction-right span').text()).toEqual('Lorem ipsum');
    expect(wrapper.find('.vs-box.vs-box-direction-right button').text()).toEqual('OK');
  });
  it('should render children with direction up', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      direction: "up"
    }, _react.default.createElement("span", null, "Lorem ipsum"), _react.default.createElement("button", null, "OK")));
    expect(wrapper.find('.vs-box.vs-box-direction-up span').text()).toEqual('Lorem ipsum');
    expect(wrapper.find('.vs-box.vs-box-direction-up button').text()).toEqual('OK');
  });
  it('should render children with direction left', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      direction: "left"
    }, _react.default.createElement("span", null, "Lorem ipsum"), _react.default.createElement("button", null, "OK")));
    expect(wrapper.find('.vs-box.vs-box-direction-left span').text()).toEqual('Lorem ipsum');
    expect(wrapper.find('.vs-box.vs-box-direction-left button').text()).toEqual('OK');
  });
  it('should render with border', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      border: true
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-border').text()).toEqual('Lorem ipsum');
  });
  it('should render with padding medium', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      padding: "medium"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-padding-medium').text()).toEqual('Lorem ipsum');
  });
  it('should render with padding small', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      padding: "small"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-padding-small').text()).toEqual('Lorem ipsum');
  });
  it('should render with padding large', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      padding: "large"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-padding-large').text()).toEqual('Lorem ipsum');
  });
  it('should render with paddingLeft medium', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      paddingLeft: "medium"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-padding-left-medium').text()).toEqual('Lorem ipsum');
  });
  it('should render with paddingLeft small', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      paddingLeft: "small"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-padding-left-small').text()).toEqual('Lorem ipsum');
  });
  it('should render with paddingLeft large', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      paddingLeft: "large"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-padding-left-large').text()).toEqual('Lorem ipsum');
  });
  it('should render with paddingRight medium', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      paddingRight: "medium"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-padding-right-medium').text()).toEqual('Lorem ipsum');
  });
  it('should render with paddingRight small', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      paddingRight: "small"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-padding-right-small').text()).toEqual('Lorem ipsum');
  });
  it('should render with paddingRight large', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      paddingRight: "large"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-padding-right-large').text()).toEqual('Lorem ipsum');
  });
  it('should render with paddingTop medium', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      paddingTop: "medium"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-padding-top-medium').text()).toEqual('Lorem ipsum');
  });
  it('should render with paddingTop small', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      paddingTop: "small"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-padding-top-small').text()).toEqual('Lorem ipsum');
  });
  it('should render with paddingTop large', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      paddingTop: "large"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-padding-top-large').text()).toEqual('Lorem ipsum');
  });
  it('should render with paddingBottom medium', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      paddingBottom: "medium"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-padding-bottom-medium').text()).toEqual('Lorem ipsum');
  });
  it('should render with paddingBottom small', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      paddingBottom: "small"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-padding-bottom-small').text()).toEqual('Lorem ipsum');
  });
  it('should render with paddingBottom large', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      paddingBottom: "large"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-padding-bottom-large').text()).toEqual('Lorem ipsum');
  });
  it('should render with gap medium', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      gap: "medium"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-gap-medium').text()).toEqual('Lorem ipsum');
  });
  it('should render with gap small', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      gap: "small"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-gap-small').text()).toEqual('Lorem ipsum');
  });
  it('should render with gap large', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      gap: "large"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-gap-large').text()).toEqual('Lorem ipsum');
  });
  it('should render with align center', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      align: "center"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-align-center').text()).toEqual('Lorem ipsum');
  });
  it('should render with align start', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      align: "start"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-align-start').text()).toEqual('Lorem ipsum');
  });
  it('should render with align end', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      align: "end"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-align-end').text()).toEqual('Lorem ipsum');
  });
  it('should render with justify center', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      justify: "center"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-justify-center').text()).toEqual('Lorem ipsum');
  });
  it('should render with justify start', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      justify: "start"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-justify-start').text()).toEqual('Lorem ipsum');
  });
  it('should render with justify end', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      justify: "end"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-justify-end').text()).toEqual('Lorem ipsum');
  });
  it('should render with justify space-around', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      justify: "space-around"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-justify-space-around').text()).toEqual('Lorem ipsum');
  });
  it('should render with justify space-between', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      justify: "space-between"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-justify-space-between').text()).toEqual('Lorem ipsum');
  });
  it('should render with justify space-evenly', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      justify: "space-evenly"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-justify-space-evenly').text()).toEqual('Lorem ipsum');
  });
  it('should render with expand', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      expand: true
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box.vs-box-expand').text()).toEqual('Lorem ipsum');
  });
  it('should render with arbitrary data-id prop', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_index.Box, {
      "data-id": "test",
      id: "test"
    }, "Lorem ipsum"));
    expect(wrapper.find('.vs-box[data-id="test"]').text()).toEqual('Lorem ipsum');
  });
});