"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonWithDropdown = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Button = require("../Button.js");

require("./styles.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ButtonWithDropdown = function ButtonWithDropdown(_ref) {
  var expanded = _ref.expanded,
      doExpand = _ref.doExpand,
      buttonContent = _ref.buttonContent,
      children = _ref.children,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$renderButton = _ref.renderButton,
      renderButton = _ref$renderButton === void 0 ? function (props) {
    return _react.default.createElement(_Button.Button, _extends({}, props, {
      type: "solid-primary"
    }));
  } : _ref$renderButton,
      restProps = _objectWithoutProperties(_ref, ["expanded", "doExpand", "buttonContent", "children", "className", "renderButton"]);

  return _react.default.createElement("div", _extends({}, restProps, {
    className: "vs-dropdown-with-button ".concat(className)
  }), renderButton({
    expanded: expanded,
    className: "vs-dropdown-with-button-button ".concat(className, "-button"),
    onClick: doExpand,
    children: buttonContent
  }), _react.default.createElement("div", {
    className: ['vs-dropdown', expanded ? 'vs-visible' : ''].join(' ')
  }, children));
};

exports.ButtonWithDropdown = ButtonWithDropdown;
ButtonWithDropdown.propTypes = {
  expanded: _propTypes.default.bool,
  doExpand: _propTypes.default.func,
  buttonContent: _propTypes.default.node,
  children: _propTypes.default.node,
  className: _propTypes.default.string,
  renderButton: _propTypes.default.func
};