"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.CollapsiblePanel = exports.PureCollapsiblePanel = void 0;

var React = _interopRequireWildcard(require("react"));

var _Button = require("./Button");

var _ChevronRightIcon = _interopRequireDefault(require("mdi-react/ChevronRightIcon"));

var _ChevronDownIcon = _interopRequireDefault(require("mdi-react/ChevronDownIcon"));

var _classnames = _interopRequireDefault(require("classnames"));

require("./CollapsiblePanel.css");

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

var paddingSize = {
  LARGE: 'large'
};

var PureCollapsiblePanel =
/*#__PURE__*/
function (_React$Component) {
  _inherits(PureCollapsiblePanel, _React$Component);

  function PureCollapsiblePanel(props) {
    var _this;

    _classCallCheck(this, PureCollapsiblePanel);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(PureCollapsiblePanel).call(this, props));
    _this.toggleCollapsed = _this.toggleCollapsed.bind(_assertThisInitialized(_assertThisInitialized(_this)));
    return _this;
  }

  _createClass(PureCollapsiblePanel, [{
    key: "toggleCollapsed",
    value: function toggleCollapsed() {
      this.props.onChange(!this.props.collapsed);
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          children = _this$props.children,
          className = _this$props.className,
          collapsed = _this$props.collapsed,
          onChange = _this$props.onChange,
          padding = _this$props.padding,
          title = _this$props.title,
          titleIcon = _this$props.titleIcon,
          restProps = _objectWithoutProperties(_this$props, ["children", "className", "collapsed", "onChange", "padding", "title", "titleIcon"]);

      return React.createElement("div", _extends({}, restProps, {
        className: (0, _classnames.default)(className, 'vs-collapsible-panel', {
          'vs-collapsible-panel-padding-large': padding === paddingSize.LARGE
        })
      }), React.createElement("div", {
        className: "vs-collapsible-panel-header"
      }, React.createElement(_Button.Button, {
        type: "icon",
        className: "vs-collapsible-panel-header-button",
        onClick: this.toggleCollapsed
      }, collapsed ? React.createElement(_ChevronRightIcon.default, null) : React.createElement(_ChevronDownIcon.default, null)), React.createElement("div", {
        className: "vs-collapsible-panel-icon-container"
      }, titleIcon), React.createElement("span", {
        className: "vs-collapsible-panel-header-title",
        onClick: this.toggleCollapsed
      }, title)), !collapsed && React.createElement("div", {
        className: "vs-collapsible-panel-item"
      }, titleIcon && React.createElement("div", {
        className: "vs-collapsible-panel-icon-placeholder"
      }), React.createElement("div", {
        className: "vs-collapsible-panel-item-content"
      }, children)));
    }
  }]);

  return PureCollapsiblePanel;
}(React.Component);

exports.PureCollapsiblePanel = PureCollapsiblePanel;

var CollapsiblePanel =
/*#__PURE__*/
function (_React$Component2) {
  _inherits(CollapsiblePanel, _React$Component2);

  function CollapsiblePanel(props) {
    var _this2;

    _classCallCheck(this, CollapsiblePanel);

    _this2 = _possibleConstructorReturn(this, _getPrototypeOf(CollapsiblePanel).call(this, props));
    var collapsed = props.initializedCollapsed === undefined ? true : props.initializedCollapsed;
    _this2.state = {
      collapsed: collapsed
    };
    _this2.toggleCollapsed = _this2.toggleCollapsed.bind(_assertThisInitialized(_assertThisInitialized(_this2)));
    return _this2;
  }

  _createClass(CollapsiblePanel, [{
    key: "toggleCollapsed",
    value: function toggleCollapsed() {
      var collapsed = !this.state.collapsed;
      this.setState({
        collapsed: collapsed
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          initializedCollapsed = _this$props2.initializedCollapsed,
          restProps = _objectWithoutProperties(_this$props2, ["initializedCollapsed"]);

      return React.createElement(PureCollapsiblePanel, _extends({
        onChange: this.toggleCollapsed,
        collapsed: this.state.collapsed
      }, restProps));
    }
  }]);

  return CollapsiblePanel;
}(React.Component);

exports.CollapsiblePanel = CollapsiblePanel;
PureCollapsiblePanel.propTypes = {
  children: _propTypes.default.node,
  className: _propTypes.default.string,
  collapsed: _propTypes.default.bool.isRequired,
  onChange: _propTypes.default.func.isRequired,
  padding: _propTypes.default.oneOf([paddingSize.LARGE]),
  title: _propTypes.default.node,
  titleIcon: _propTypes.default.node
};
CollapsiblePanel.propTypes = {
  children: _propTypes.default.node,
  className: _propTypes.default.string,
  initializedCollapsed: _propTypes.default.bool,
  padding: _propTypes.default.oneOf([paddingSize.LARGE]),
  title: _propTypes.default.node,
  titleIcon: _propTypes.default.node
};
var _default = CollapsiblePanel;
exports.default = _default;