"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ExpandingInputButton = void 0;

var _WindowCloseIcon = _interopRequireDefault(require("mdi-react/WindowCloseIcon"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _Form = require("../Form");

require("./styles.css");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ExpandingInputButton = function ExpandingInputButton(_ref) {
  var icon = _ref.icon,
      expanded = _ref.expanded,
      onFocus = _ref.onFocus,
      onBlur = _ref.onBlur,
      onClear = _ref.onClear,
      onChange = _ref.onChange,
      value = _ref.value,
      restProps = _objectWithoutProperties(_ref, ["icon", "expanded", "onFocus", "onBlur", "onClear", "onChange", "value"]);

  var containerClassName = (0, _classnames.default)('vs-expanding-input-button', expanded && 'vs-expanding-input-button-focused');
  return _react.default.createElement("div", {
    className: containerClassName,
    onFocus: onFocus,
    onBlur: onBlur
  }, _react.default.createElement("span", {
    className: "vs-expanding-input-button-icon"
  }, icon), _react.default.createElement(_Form.Input, _extends({}, restProps, {
    type: "text",
    onChange: onChange,
    value: value
  })), expanded && _react.default.createElement(_WindowCloseIcon.default, {
    className: "vs-window-close-icon",
    onClick: onClear
  }));
};

exports.ExpandingInputButton = ExpandingInputButton;
ExpandingInputButton.propTypes = {
  focused: _propTypes.default.bool,
  name: _propTypes.default.string,
  placeholder: _propTypes.default.string,
  value: _propTypes.default.string,
  onBlur: _propTypes.default.func,
  onChange: _propTypes.default.func,
  onClear: _propTypes.default.func,
  onFocus: _propTypes.default.func
};