"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Label = _interopRequireDefault(require("./Label"));

require("./Form.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var FormGroup = function FormGroup(_ref) {
  var children = _ref.children,
      error = _ref.error,
      label = _ref.label,
      required = _ref.required,
      vertical = _ref.vertical,
      classes = _ref.classes,
      restProps = _objectWithoutProperties(_ref, ["children", "error", "label", "required", "vertical", "classes"]);

  return _react.default.createElement("div", _extends({}, restProps, {
    className: "form-group ".concat(classes ? classes : '', " ").concat(error ? 'has-error' : '')
  }), label ? _react.default.createElement(_Label.default, {
    vertical: vertical,
    className: !vertical ? 'col-sm-3' : '',
    required: required
  }, label) : _react.default.createElement("div", {
    className: !vertical ? 'col-sm-3' : ''
  }), _react.default.createElement("div", {
    className: !vertical ? 'col-sm-5' : ''
  }, children), _react.default.createElement("div", {
    className: "error-container ".concat(!vertical ? 'col-xs-4' : '')
  }, error && _react.default.createElement("div", {
    className: "form-group-error-span"
  }, error)));
};

FormGroup.propTypes = {
  error: _propTypes.default.node,
  label: _propTypes.default.node,
  required: _propTypes.default.bool
};
var _default = FormGroup;
exports.default = _default;