"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.HoverPopover = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactPopper = require("react-popper");

var _classnames = _interopRequireDefault(require("classnames"));

require("./Popover.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Popover = function Popover(_ref) {
  var shown = _ref.shown,
      content = _ref.content,
      children = _ref.children,
      _ref$placement = _ref.placement,
      placement = _ref$placement === void 0 ? 'bottom' : _ref$placement,
      className = _ref.className,
      eventsEnabled = _ref.eventsEnabled,
      modifiers = _ref.modifiers,
      positionFixed = _ref.positionFixed,
      restProps = _objectWithoutProperties(_ref, ["shown", "content", "children", "placement", "className", "eventsEnabled", "modifiers", "positionFixed"]);

  return _react.default.createElement(_reactPopper.Manager, null, _react.default.createElement("div", _extends({}, restProps, {
    className: "vs-popover-wrapper"
  }), _react.default.createElement(_reactPopper.Reference, null, function (_ref2) {
    var ref = _ref2.ref;
    return _react.default.createElement("div", {
      ref: ref,
      className: "vs-popover-reference"
    }, children);
  }), shown ? _react.default.createElement(_reactPopper.Popper, {
    placement: placement,
    eventsEnabled: eventsEnabled,
    modifiers: modifiers,
    positionFixed: positionFixed
  }, function (_ref3) {
    var ref = _ref3.ref,
        style = _ref3.style,
        placement = _ref3.placement,
        arrowProps = _ref3.arrowProps;
    return _react.default.createElement("div", {
      className: (0, _classnames.default)('vs-popover-container', className),
      ref: ref,
      style: style,
      "data-placement": placement
    }, _react.default.createElement("div", {
      className: "vs-popover-content"
    }, content), _react.default.createElement("span", {
      className: "vs-popover-arrow",
      ref: arrowProps.ref,
      style: arrowProps.style,
      "data-placement": placement
    }));
  }) : null));
};

var HoverPopover =
/*#__PURE__*/
function (_React$Component) {
  _inherits(HoverPopover, _React$Component);

  function HoverPopover(props) {
    var _this;

    _classCallCheck(this, HoverPopover);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(HoverPopover).call(this, props));

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "state", {
      shown: false
    });

    return _this;
  }

  _createClass(HoverPopover, [{
    key: "onMouseOver",
    value: function onMouseOver() {
      this.setState({
        shown: true
      });
    }
  }, {
    key: "onMouseLeave",
    value: function onMouseLeave() {
      this.setState({
        shown: false
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      return _react.default.createElement(Popover, _extends({
        shown: this.state.shown,
        onMouseOver: function onMouseOver() {
          _this2.onMouseOver();
        },
        onMouseLeave: function onMouseLeave() {
          _this2.onMouseLeave();
        }
      }, this.props), this.props.children);
    }
  }]);

  return HoverPopover;
}(_react.default.Component);

exports.HoverPopover = HoverPopover;
var _default = Popover;
exports.default = _default;