"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Link = exports.LinkContentWrapper = void 0;

var _react = _interopRequireDefault(require("react"));

var _Icons = require("./Icons");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var LinkContentWrapper = function LinkContentWrapper(_ref) {
  var icon = _ref.icon,
      label = _ref.label,
      restProps = _objectWithoutProperties(_ref, ["icon", "label"]);

  var finalIcon = icon ? icon : _react.default.createElement("div", {
    className: "placeholder-icon"
  });
  return _react.default.createElement("div", _extends({}, restProps, {
    className: "vs-sidenav-link-content-wrapper"
  }), _react.default.createElement(_Icons.SideNavSvgIcon, null, finalIcon), _react.default.createElement("div", {
    className: "vs-sidenav-link-label vs-sidenav-container-label"
  }, label));
};

exports.LinkContentWrapper = LinkContentWrapper;

var Link = function Link(_ref2) {
  var hoverText = _ref2.hoverText,
      children = _ref2.children,
      restProps = _objectWithoutProperties(_ref2, ["hoverText", "children"]);

  return _react.default.createElement("li", _extends({}, restProps, {
    className: "vs-sidenav-entry vs-sidenav-link",
    title: hoverText
  }), children);
};

exports.Link = Link;