"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = _interopRequireWildcard(require("enzyme"));

var _ = require("../");

var _enzymeAdapterReact = _interopRequireDefault(require("enzyme-adapter-react-16"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_enzyme.default.configure({
  adapter: new _enzymeAdapterReact.default()
});

describe('SlidingPanel', function () {
  test('should render', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_.SlidingPanel, null));
    expect(wrapper.find('.vs-sliding-panel').length).toEqual(1);
  });
  test('should render active', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_.SlidingPanel, {
      active: true
    }));
    expect(wrapper.find('.vs-sliding-panel.vs-active').length).toEqual(1);
  });
});
describe("SlidingPanelDropdown", function () {
  test("should render badge", function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_.SlidingPanelDropdown, {
      badge: "hello"
    }));
    expect(wrapper.find("Badge")).toHaveLength(1);
    expect(wrapper.find("Badge").prop("children")).toBe("hello");
  });
  test("should not render badge when missing badge prop", function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_.SlidingPanelDropdown, null));
    expect(wrapper.find("Badge")).toHaveLength(0);
  });
});
describe('ToggleIcon', function () {
  test('should render', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_.ToggleIcon, {
      onClick: function onClick() {}
    }));
    expect(wrapper.find('.vs-sliding-panel-toggle-icon').length).toEqual(1);
  });
});