"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CjSupportLink = void 0;

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("../../experimental/Box"));

var _Text = _interopRequireDefault(require("../../experimental/Text"));

var _InformationOutlineIcon = _interopRequireDefault(require("mdi-react/InformationOutlineIcon"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var CjSupportLink = function CjSupportLink(_ref) {
  var className = _ref.className,
      title = _ref.title,
      link = _ref.link,
      restProps = _objectWithoutProperties(_ref, ["className", "title", "link"]);

  return _react.default.createElement("div", _extends({}, restProps, {
    className: (0, _classnames.default)("vs-cj-support-link", className)
  }), _react.default.createElement("a", {
    href: link,
    target: "_blank",
    rel: "noopener noreferrer",
    className: "vs-cj-support-link-container"
  }, _react.default.createElement(_Box.default, {
    direction: "row",
    gap: "default",
    align: "center",
    className: "vs-topnav-action"
  }, _react.default.createElement(_Text.default, {
    id: "topnav-help-icon",
    className: "vs-topnav-action vs-topnav-text"
  }, _react.default.createElement(_InformationOutlineIcon.default, null)), _react.default.createElement(_Text.default, {
    id: "topnav-help-title",
    className: "vs-topnav-action vs-topnav-text"
  }, title))));
};

exports.CjSupportLink = CjSupportLink;
CjSupportLink.propTypes = {
  title: _propTypes.default.string,
  link: _propTypes.default.string
};