"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TopNav = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _CJLogo = _interopRequireDefault(require("../../components/CJLogo"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TopNav = function TopNav(_ref) {
  var className = _ref.className,
      title = _ref.title,
      subtitle = _ref.subtitle,
      actionChildren = _ref.actionChildren,
      children = _ref.children,
      contentSize = _ref.contentSize,
      restProps = _objectWithoutProperties(_ref, ["className", "title", "subtitle", "actionChildren", "children", "contentSize"]);

  return _react.default.createElement("div", _extends({}, restProps, {
    className: (0, _classnames.default)("vs-topnav", className)
  }), _react.default.createElement("div", {
    className: "vs-topnav-header vs-topnav-page-title"
  }, _react.default.createElement("div", {
    className: "vs-topnav-logo-title-container"
  }, _react.default.createElement("div", {
    className: "vs-topnav-logo-container"
  }, _react.default.createElement("span", null, _react.default.createElement(_CJLogo.default, null))), _react.default.createElement("h1", {
    className: "vs-topnav-title"
  }, title)), subtitle ? _react.default.createElement("div", {
    className: 'vs-topnav-text'
  }, subtitle) : '', _react.default.createElement("div", {
    className: "vs-topnav-button-bar"
  }, actionChildren)), _react.default.createElement("div", {
    className: (0, _classnames.default)('vs-topnav-content', "vs-topnav-content-".concat(contentSize ? contentSize : 'normal'))
  }, children));
};

exports.TopNav = TopNav;
TopNav.propTypes = {
  className: _propTypes.default.string,
  title: _propTypes.default.string,
  actionChildren: _propTypes.default.object,
  children: _propTypes.default.object,
  subtitle: _propTypes.default.string,
  contentSize: _propTypes.default.string
};