"use strict";

var _react = _interopRequireDefault(require("react"));

var _TopNav = require("../TopNav");

var _enzyme = _interopRequireWildcard(require("enzyme"));

var _enzymeAdapterReact = _interopRequireDefault(require("enzyme-adapter-react-16"));

var _BackToCjLink = require("../BackToCjLink");

var _CjSupportLink = require("../CjSupportLink");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_enzyme.default.configure({
  adapter: new _enzymeAdapterReact.default()
});

describe('TopNav', function () {
  it('should find prop values in the DOM', function () {
    var wrapper1 = (0, _enzyme.mount)(_react.default.createElement(_TopNav.TopNav, {
      title: "title",
      actionChildren: _react.default.createElement("div", null, "actions"),
      children: _react.default.createElement("div", null, "content"),
      contentSize: "wide"
    }));
    expect(wrapper1.find('.vs-topnav-title').text()).toEqual('title');
    expect(wrapper1.find('.vs-topnav-content-wide').text()).toEqual('content');
    expect(wrapper1.find('.vs-topnav-button-bar').text()).toEqual('actions');
    var wrapper2 = (0, _enzyme.mount)(_react.default.createElement(_TopNav.TopNav, {
      contentSize: "normal",
      children: _react.default.createElement("div", null, "content")
    }));
    expect(wrapper2.find('.vs-topnav-content-normal').text()).toEqual('content');
    var wrapper3 = (0, _enzyme.mount)(_react.default.createElement(_TopNav.TopNav, {
      children: _react.default.createElement("div", null, "content")
    }));
    expect(wrapper3.find('.vs-topnav-content').text()).toEqual('content');
  });
  it('should pass props to TopNav component', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_TopNav.TopNav, {
      title: "title",
      actionChildren: _react.default.createElement("div", null, "actions"),
      children: _react.default.createElement("div", null, "content"),
      contentSize: "normal"
    }));
    wrapper.debug();
    expect(wrapper.find(_TopNav.TopNav).prop('title')).toBe('title');
    expect(wrapper.find(_TopNav.TopNav).prop('actionChildren')).toEqual(_react.default.createElement("div", null, "actions"));
    expect(wrapper.find(_TopNav.TopNav).prop('children')).toEqual(_react.default.createElement("div", null, "content"));
    expect(wrapper.find(_TopNav.TopNav).prop('contentSize')).toBe('normal');
  });
});
describe('BackToCjLink', function () {
  it('BackToCjLink renders in the DOM', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_BackToCjLink.BackToCjLink, {
      title: "title",
      onClick: function onClick() {
        return 1 + 1;
      }
    }));
    expect(wrapper.find(_BackToCjLink.BackToCjLink).prop('title')).toBe('title');
    expect(wrapper.find(_BackToCjLink.BackToCjLink).prop('onClick')()).toBe(2);
    expect(wrapper.find('.vs-topnav-action.vs-topnav-text>#topnav-back-title').text()).toEqual('title');
  });
});
describe('CjSupportLink', function () {
  it('CjSupportLink renders in the DOM', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_CjSupportLink.CjSupportLink, {
      title: "title",
      link: "link"
    }));
    expect(wrapper.find(_CjSupportLink.CjSupportLink).prop('title')).toBe('title');
    expect(wrapper.find(_CjSupportLink.CjSupportLink).prop('link')).toBe('link');
    expect(wrapper.find('.vs-topnav-action.vs-topnav-text>#topnav-help-title').text()).toEqual('title');
    expect(wrapper.find('.vs-cj-support-link-container').props().href).toEqual('link');
  });
});