"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = _interopRequireWildcard(require("enzyme"));

var _LoadingAnimation = _interopRequireDefault(require("../LoadingAnimation"));

var _enzymeAdapterReact = _interopRequireDefault(require("enzyme-adapter-react-16"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_enzyme.default.configure({
  adapter: new _enzymeAdapterReact.default()
});

describe('LoadingAnimation', function () {
  test('should render with default text', function () {
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_LoadingAnimation.default, null));
    expect(wrapper.find(_LoadingAnimation.default)).toHaveLength(1);
    expect(wrapper.find('div.loading-text').text()).toEqual('Loading...');
  });
  test('should render with loading text from prop', function () {
    var expectedLoadingMessage = 'Loading Data...';
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_LoadingAnimation.default, {
      loadingMessage: expectedLoadingMessage
    }));
    expect(wrapper.find(_LoadingAnimation.default)).toHaveLength(1);
    expect(wrapper.find('div.loading-text').text()).toEqual(expectedLoadingMessage);
  });
});