"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.TriStateCheckbox = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _ErrorBoundary = require("../../components/ErrorBoundary");

var R = _interopRequireWildcard(require("ramda"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var TriStateCheckbox =
/*#__PURE__*/
function (_React$Component) {
  _inherits(TriStateCheckbox, _React$Component);

  function TriStateCheckbox() {
    var _this;

    _classCallCheck(this, TriStateCheckbox);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(TriStateCheckbox).call(this));
    _this.inputRef = _react.default.createRef();
    return _this;
  }

  _createClass(TriStateCheckbox, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this._updateInnerCheckBoxState();
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps) {
      if (prevProps.alwaysUpdateInnerCheckboxState || prevProps.value !== this.props.value) {
        this._updateInnerCheckBoxState();
      }
    }
  }, {
    key: "onBoxClick",
    value: function onBoxClick(ev) {
      return this.props.onClick ? this.props.onClick(ev) : null;
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var currentProps = R.omit(['alwaysUpdateInnerCheckboxState'], this.props);
      return _react.default.createElement("input", _extends({}, currentProps, {
        className: "vs-tristatecheckbox ".concat(currentProps.className),
        type: "checkbox",
        onClick: function onClick(ev) {
          return _this2.onBoxClick(ev);
        },
        ref: this.inputRef
      }));
    }
  }, {
    key: "_updateInnerCheckBoxState",
    value: function _updateInnerCheckBoxState() {
      if (!this.inputRef.current) {
        return;
      }

      var checkbox = this.inputRef.current;

      switch (this.props.value) {
        case 0:
          checkbox.checked = false;
          checkbox.indeterminate = false;
          break;

        case 1:
          checkbox.checked = true;
          checkbox.indeterminate = false;
          break;

        default:
          checkbox.checked = false;
          checkbox.indeterminate = true;
          break;
      }
    }
  }]);

  return TriStateCheckbox;
}(_react.default.Component);

exports.TriStateCheckbox = TriStateCheckbox;
TriStateCheckbox.propTypes = {
  value: _propTypes.default.number.isRequired,
  onClick: _propTypes.default.func,
  alwaysUpdateInnerCheckboxState: _propTypes.default.bool
};
TriStateCheckbox.defaultProps = {
  alwaysUpdateInnerCheckboxState: false
};

var _default = (0, _ErrorBoundary.withErrorBoundary)(TriStateCheckbox);

exports.default = _default;