"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.DialogLayout = void 0;

var _react = _interopRequireDefault(require("react"));

var _Button = require("../../components/Button");

var _CloseIcon = _interopRequireDefault(require("mdi-react/CloseIcon"));

var _classnames = _interopRequireDefault(require("classnames"));

require("./index.css");

var _Spinner = _interopRequireDefault(require("../../components/Spinner"));

var _TopNav = require("../../components/TopNav");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function getSubmitButtonText(submitButtonText, showSubmitButtonSpinner) {
  if (showSubmitButtonSpinner) {
    return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Spinner.default, {
      size: "button"
    }), " ", submitButtonText);
  }

  return submitButtonText;
}

var DialogLayout = function DialogLayout(_ref) {
  var className = _ref.className,
      title = _ref.title,
      cancelButtonText = _ref.cancelButtonText,
      submitButtonText = _ref.submitButtonText,
      disableSubmit = _ref.disableSubmit,
      showSubmitButtonSpinner = _ref.showSubmitButtonSpinner,
      contentSize = _ref.contentSize,
      onCancel = _ref.onCancel,
      onSubmit = _ref.onSubmit,
      children = _ref.children,
      restProps = _objectWithoutProperties(_ref, ["className", "title", "cancelButtonText", "submitButtonText", "disableSubmit", "showSubmitButtonSpinner", "contentSize", "onCancel", "onSubmit", "children"]);

  return _react.default.createElement("div", _extends({
    className: (0, _classnames.default)("vs-dialog-layout", className)
  }, restProps), _react.default.createElement(_TopNav.TopNav, {
    title: title,
    contentSize: contentSize,
    actionChildren: _react.default.createElement(TopNavControls, {
      onSubmit: onSubmit,
      onCancel: onCancel,
      submitButtonText: submitButtonText,
      cancelButtonText: cancelButtonText,
      disableSubmit: disableSubmit,
      showSubmitButtonSpinner: showSubmitButtonSpinner
    })
  }, children));
};

exports.DialogLayout = DialogLayout;

var TopNavControls = function TopNavControls(_ref2) {
  var onSubmit = _ref2.onSubmit,
      onCancel = _ref2.onCancel,
      submitButtonText = _ref2.submitButtonText,
      cancelButtonText = _ref2.cancelButtonText,
      disableSubmit = _ref2.disableSubmit,
      showSubmitButtonSpinner = _ref2.showSubmitButtonSpinner;
  return _react.default.createElement("div", {
    className: "vs-dialog-layout-button-bar"
  }, cancelButtonText && _react.default.createElement(_Button.Button, {
    id: "vs-dialog-layout-cancel",
    type: "text",
    onClick: onCancel
  }, cancelButtonText), submitButtonText && _react.default.createElement(_Button.Button, {
    id: "vs-dialog-layout-submit",
    type: "solid-primary",
    disabled: disableSubmit === true,
    onClick: onSubmit
  }, getSubmitButtonText(submitButtonText, showSubmitButtonSpinner)), !submitButtonText && !cancelButtonText && _react.default.createElement(_CloseIcon.default, {
    className: "vs-dialog-layout-icon-close",
    onClick: onCancel
  }));
};

var _default = DialogLayout;
exports.default = _default;